--
-- Licensed Materials - Property of IBM Corp. Copyright (c) 1997, 2010
-- 5724-X63, 5724-W86
-- Copyright IBM Corporation 2007. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
--
Set Define   "&"
Set Verify   Off
Set FeedBack On
Set Termout On
Set Serveroutput On Size 1000000
Whenever SQLERROR Exit 1
Declare
  sStmtBuffer    Varchar2(128);
Begin
  For recD In ( Select 'Alter System Kill Session '''|| SID || ',' || Serial#
                       || ''' Immediate' As sStmt,
                       Username
                  From V$Session
                 Where Nvl( Username, User ) != User )
  Loop
    sStmtBuffer := recD.sStmt;
    Dbms_Output.Put_Line( 'Disconnecting ' || recD.Username || '...' );
    Execute Immediate sStmtBuffer;
  End Loop;
End;
/
Prompt Enabling Restricted Session mode...
Alter System Enable Restricted Session;
Set Verify On
